Summary:		Command line tools for generating MPEG2 movie files
Name:			mpeg2_movie
Version:		1.4
Release:		1mdk
License:		GPL
Group:			Video

Source:			http://heroinewarrior.com/%{name}-%{version}.tar.bz2
#Patch:			mpeg2_movie-lm.patch.bz2
URL:			http://heroinewarrior.com/mpeg2movie.html
BuildRoot:		%_tmppath/%name-%version-root 
ExclusiveArch: %{ix86}

%description
Command line utilities to generate MPEG-2 movies.

See %_docdir/%name-%version/index.html for more info.

%prep

%setup -q
#patch -p1

# This is really too disgusting to watch ... -- Geoff
set +x

# Many files of the source tarball are read-only
chmod -R u+w .
# Unfortunately, there are still binaries in the source tarball (broken "make 
# clean"). So clean up manually
for i in  '*.o' '*.a' '*.so' '*.so.*' 'core' ; do 
  find . -name $i -exec rm '{}' \;
done
# Replace all hard-coded /usr/local by /usr
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/local:/usr:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done
# Replace all hard-coded /usr/etc (former /usr/local/etc) by /etc
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/etc:/etc:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done

set -x


%build
# The flags are necessary, do not remove them!
export CFLAGS="-I. -I.. -I../.. ${CFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"
export CXXFLAGS="-I. -I.. -I../.. ${CXXFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"
%configure
%make
( cd quicktime
  %make util
)

%install

rm -rf $RPM_BUILD_ROOT

# Remove CVS directories
rm -rf `find . -name "CVS" -print`

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}

( cd audiomp3
  %makeinstall
)

# Remove some files which irritate the file masks in the following "for"
# loop
rm -f Makefile configure

# Remove source and temporary files ...
for i in '*.c' '*.cpp' '*.cxx' '*.h' '*.d' '*.o' '*.a' '*.s' '*.S' '*.asm' '*.inc' '*.opt' '*.st' '*.mak' '*.ds' '*.mac' '[Mm]akefile*' 'gmon.out' '.cvsignore' 'config.*' 'configure*' '*.nas' 'aclocal.*' 'debug' '*.c.X' 'global_config' 'c_flags' 'make_package' 'make_package' 'debug-my' 'install-sh' 'index.bt' 'make_rpm' 'jconfig*' 'motion.c.*'; do
  find . -name $i -exec rm -f '{}' \;
done

# ... and copy the rest
cp -axf * $RPM_BUILD_ROOT%{_libdir}/%{name}

# place the docs correctly
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
rmdir $RPM_BUILD_ROOT%{_libdir}/%{name}/docs
ln -s %{_docdir}/%{name}-%{version}/ $RPM_BUILD_ROOT%{_libdir}/%{name}/docs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/script $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/example-script
ln -s %{_docdir}/%{name}-%{version}/example-script $RPM_BUILD_ROOT%{_libdir}/%{name}/script
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3/docs $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/libmpeg3
ln -s %{_docdir}/%{name}-%{version}/libmpeg3 $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3/docs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/quicktime/docs $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/quicktime
ln -s %{_docdir}/%{name}-%{version}/quicktime $RPM_BUILD_ROOT%{_libdir}/%{name}/quicktime/docs

cat << EOF > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README

MPEG2MOVIE
----------

Command line utilities for generating video/movie files.

These programs come from the same authors as Broadcast 2000 (command:
"bcast", site: http://heroinewarrior.com/) and are especially
interesting for users of Broadcast 2000. To know how to use them, you
should start reading "index.html" in this directory. For more
information about the Quicktime format and the MPEG 3 library, read
also the files in the subdirectories "quicktime" and "libmpeg3", start
here also with "index.html". See also the file "example-script".

IPORTANT: All mentioned directories are subdirectories of

   %{_libdir}/%{name}


EOF

find . -type f -name '*.1' -exec cp -f '{}' $RPM_BUILD_ROOT%{_mandir}/man1 \;

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -sf %{_libdir}/%{name}/audiomp2/toolame toolame
  ln -sf %{_libdir}/%{name}/libmpeg3/dump mpeg3dump
  ln -sf %{_libdir}/%{name}/libmpeg3/mpeg3cat mpeg3cat
  ln -sf %{_libdir}/%{name}/libmpeg3/mpeg3toc mpeg3toc
  ln -sf %{_libdir}/%{name}/libmpeg3/mpeg3split mpeg3split
  ln -sf %{_libdir}/%{name}/mplexhi/mplex mplexhi
  ln -sf %{_libdir}/%{name}/mplexlo/mplex mplexlo
  ln -sf %{_libdir}/%{name}/quicktime/qtdump qtdump
  ln -sf %{_libdir}/%{name}/quicktime/make_streamable make_streamable
  ln -sf %{_libdir}/%{name}/quicktime/qtinfo qtinfo
  ln -sf %{_libdir}/%{name}/quicktime/dechunk dechunk
  ln -sf %{_libdir}/%{name}/quicktime/yuv4toyuv yuv4toyuv
  ln -sf %{_libdir}/%{name}/quicktime/recover recover
  ln -sf %{_libdir}/%{name}/video/encode encode
)

( cd $RPM_BUILD_ROOT%{_libdir}
  ln -sf %{_libdir}/%{name}/quicktime/libquicktime.so libquicktime.so
)

# Remove CVS directories
rm -rf `find $RPM_BUILD_ROOT/. -name "CVS" -print`

# Remove Makefiles
rm -rf `find $RPM_BUILD_ROOT/. -name "Makefile*" -print`

# Remove static library
rm -f $RPM_BUILD_ROOT%{_libdir}/libmp3lame.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*

%changelog
* Wed Feb 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.4-1mdk
- new version
- improved install block of specfile

* Sun Dec 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.2-3mdk
- exclusivearch of ix86 as there is only x86 assembly.
- hide the disgusting and ugly code of chmod and replacements.
- patch to link it with the math library in mplex.c.

* Wed Dec 20 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-2mdk
- ExcludeArch: ppc

* Fri Sep  1 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.2.2-1mdk
- initial release
